curl "https://api.pmx.trade/v2/clob/markets/550e8400.../trades?limit=10"
{
"trades": [
{
"id": "a1b2c3d4-...",
"marketId": "550e8400-...",
"takerSide": "buy",
"outcome": "yes",
"priceBps": 5600,
"quantity": "50000000",
"usdcAmount": "28000000",
"takerFee": "70000",
"makerRebate": "14000",
"protocolFee": "56000",
"fillType": "direct",
"status": "settled",
"settleTx": "5KtR3...",
"matchedAt": "2025-01-15T12:30:00.000Z"
}
]
}
Get recent trades for a market.
curl "https://api.pmx.trade/v2/clob/markets/550e8400.../trades?limit=10"
{
"trades": [
{
"id": "a1b2c3d4-...",
"marketId": "550e8400-...",
"takerSide": "buy",
"outcome": "yes",
"priceBps": 5600,
"quantity": "50000000",
"usdcAmount": "28000000",
"takerFee": "70000",
"makerRebate": "14000",
"protocolFee": "56000",
"fillType": "direct",
"status": "settled",
"settleTx": "5KtR3...",
"matchedAt": "2025-01-15T12:30:00.000Z"
}
]
}
Show Trade object
buy or sell.yes or no.direct, complementary, or sell_complementary.matched, settling, settled, retrying, or failed.null.curl "https://api.pmx.trade/v2/clob/markets/550e8400.../trades?limit=10"
{
"trades": [
{
"id": "a1b2c3d4-...",
"marketId": "550e8400-...",
"takerSide": "buy",
"outcome": "yes",
"priceBps": 5600,
"quantity": "50000000",
"usdcAmount": "28000000",
"takerFee": "70000",
"makerRebate": "14000",
"protocolFee": "56000",
"fillType": "direct",
"status": "settled",
"settleTx": "5KtR3...",
"matchedAt": "2025-01-15T12:30:00.000Z"
}
]
}